#ifndef __FORENSICS_XMLOUTPUT_HH__
#define __FORENSICS_XMLOUTPUT_HH__

#include "forensics.hh"

class XMLOutput {
private:
  std::stack<std::string> tag_stack;
public:
  std::ofstream xmlfile;
  XMLOutput ();
  ~XMLOutput ();

  void openFile(std::string);

  void tagout (const std::string, const std::string);
  void spaces();
  void push(const std::string, const std::string);
  void pop();

  void xmloutputstring(std::string, std::string, std::string);
  void print (std::string);
};

#endif
